Bug 1326520 - db2index uses a buffer size derived from dbcachesize
Summary: db2index uses a buffer size derived from dbcachesize
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-12 21:46 UTC by Noriko Hosoi
Modified: 2016-11-03 20:41 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:41:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2016-04-12 21:46:41 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48383

db2index currently allocates a buffer as a derivative of cachememsize.

This value should be independent for the index process and documented clearly, so that server re-tuning isn't needed just to run db2index.

See  ./ldap/servers/slapd/back-ldbm/import.c:48:    job->fifo.bsize = (inst->inst_cache.c_maxsize/10) << 3;

Comment 2 Simon Pichugin 2016-07-13 07:47:54 UTC
Build tested:
389-ds-base-1.3.5.10-3.el7.x86_64

=========================== test session starts ===========================
platform linux2 -- Python 2.7.5, pytest-2.9.2, py-1.4.31, pluggy-0.3.1 -- /usr/bin/python
cachedir: dirsrvtests/tests/tickets/.cache
rootdir: /mnt/tests/rhds/tests/upstream/ds/dirsrvtests/tests/tickets, inifile:
plugins: html-1.9.0, cov-2.3.0
collected 1 items

dirsrvtests/tests/tickets/ticket48383_test.py::test_ticket48383 PASSED

======================== 1 passed in 74.67 seconds ========================

Marking as verified.

Comment 4 errata-xmlrpc 2016-11-03 20:41:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.